Install["Diag"]


(* Note: HEigensystem, SEigensystem, and TakagiFactor assume
   they are operating on a symmetric matrix and hence ignore
   the below-diagonal entries.  Similarly, HEigensystem assumes
   an Hermitian matrix and thus real diagonal entries. *)


(* put your matrix definition here: *)
A = Array[Complex, {3, 3}]


test[routine_] :=
Block[ {result},
  Print[];
  Print[routine, ":"];
  result = routine[A];
  MapIndexed[ Print["d[", #2[[1]], "] = ", #1]&, result[[-2]] ];
]


test[HEigensystem];
test[SEigensystem];
test[CEigensystem];
test[TakagiFactor];
test[SVD];

